<template>
  <div class="flex pl-4 --text display-time-container">
    <div v-if="needVerticalLine">|</div>
    <div class="pl-5 whitespace-nowrap display-time-text font-medium">
      {{ datetimeDisplay }}
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import { useDisplayLocalTime } from "@/composables/useTheme";

export default defineComponent({
  props: {
    needVerticalLine: {
      type: Boolean,
      default: true,
    },
  },
  setup() {
    const { datetimeDisplay } = useDisplayLocalTime();
    return {
      datetimeDisplay,
    };
  },
});
</script>
